QGIS Application - Bug report #15314
Different projection definitions for 32 and 64 bit
2016-07-20 07:10 AM - Wouter van Esse

Status: Closed

Priority: Low

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 23246
Description

Hi,

I am using QGIS on different pc's and noticed a difference in the definition of EPSG:28992 when working with the raster tools in QGIS and
when using GDAL through the OSGeo4W Shell. For EPSG:28992 the line that start with ' TOWGS]..." is missing when writing new files
using a 32bit installed version of QGIS when reading the projection info (gdalinfo) with the 64bit installed versions. This sometimes
causes problems reading and editing the files on 64bit versions. In my workflow the rasters are modified on windows and used by a
different process that runs on Linux 64 bit

| have tested using several QGIS-versions (2.8.3/2.8.6/2.14.4) that also have different GDAL versions associated with them, but | find the
line is always missing in 32bit versions.
| have read the projection definition using gdalinfo and python via the OSGeo4W Shell.

| have added some example-files.
Used commands in OSGeo4W Shell:
gdal_translate olf.tif new.tid -a_srs EPSG:28992

gdalinfo
python

Hope you can help or send me to someone who can.

from osgeo import gdal
gdal.Open('new.tif'). GetProjection()

History

#1 - 2016-07-20 08:25 AM - Andre Joost

I can not reproduce your error on QGIS 2.14.4 32-bit vs 2.16.0 64-bit. The files always have the full towgs84 values.

Can you try using gdalwarp with s_srs and t_srs?

The attached files seem to be missing.

#2 - 2016-07-21 12:15 AM - Wouter van Esse
- File gdal_tests.zip added
| tried to attach the files again.

| have failed to mention one thing. Only when reading with an older version of QGIS the TOWGS line is missing. The latest versions do show the TOWGS

line.

I'm reading (gdalinfo) using QGIS 2.8.6 that uses GDAL 1.11.3.

#3 - 2016-07-21 12:41 AM - Jiirgen Fischer

- Priority changed from Normal to Low

#4 - 2016-07-21 09:07 AM - Andre Joost

As far as | see, the +towgs84 values are alwas in the proj.4 string, and the WKT contains the EPSG code. So there should be little problem with the datum
shift. Rasters from ESRI software never have the TOWGS84 values stored in the WKT file.

This might be an upgrade from GDAL, nothing that QGIS can do about. Using older versions of QGIS or GDAL is not recommended.

#5 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#6 - 2017-09-22 09:55 AM - Jiirgen Fischer
- Category set to Unknown

#7 - 2019-03-09 04:27 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#8 - 2019-05-24 08:04 AM - Nyall Dawson
- Status changed from Feedback to Closed
- Description updated

- Resolution set to up/downstream

With QGIS 3.8 and the release of proj 6 library, any remaining projection definition related issues now should be filed with the proj project.

Files

gdal_tests.zip 83.1 KB 2016-07-20 Wouter van Esse

2024-03-13 22



